// test.ts

import { MockMethod } from 'vite-plugin-mock'
export default [
  {
    url: '/mock/api/get/resource/image-list',
    method: 'get',
    response: ({ query }) => {
      return {
        code: 0,
        data: {
          name: 'vben',
        },
      }
    },
  },
  {
    url: '/mock/api/get/example/bar',
    method: 'post',
    timeout: 2000,
    response: {
      code: 0,
      data: [
        { name: '苹果', price: 20, count: 10 },
        { name: '香蕉', price: 10, count: 20},
        { name: '西瓜', price: 25, count: 30 },
        { name: '葡萄', price: 12, count: 40},
      ],
    },
  },
] as MockMethod[]